<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:padding="5dp">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="设备MAC:" />

        <TextView
            android:id="@+id/tvMac"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="00:00:00:00:00:00" />


        <Button
            android:id="@+id/btnConnect"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:text="连接" />

        <Button
            android:id="@+id/btnDisconnect"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="断连" />

    </androidx.appcompat.widget.LinearLayoutCompat>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">


        <Button
            android:id="@+id/btnClear"
            android:layout_width="60dp"
            android:layout_height="wrap_content"
            android:text="清空" />

        <Button
            android:id="@+id/btnGetVersion"
            android:layout_width="70dp"
            android:layout_height="wrap_content"
            android:text="版本号" />

        <Button
            android:id="@+id/btnGetDeviceStatus"
            android:layout_width="85dp"
            android:layout_height="wrap_content"
            android:text="设备状态" />

        <Spinner
            android:id="@+id/spEncoding"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:entries="@array/spinner_encoding_format" />

    </androidx.appcompat.widget.LinearLayoutCompat>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="打字速度设置(us):" />

        <EditText
            android:id="@+id/etSpeedUs"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:digits="0123456789"
            android:inputType="number"
            android:text="100" />

        <Button
            android:id="@+id/btnSendSpeed"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="设置" />


    </androidx.appcompat.widget.LinearLayoutCompat>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">

        <EditText
            android:id="@+id/etData"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:maxHeight="500dp" />

        <Button
            android:id="@+id/btnSendData"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="发送数据" />

    </androidx.appcompat.widget.LinearLayoutCompat>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="次数:" />

        <EditText
            android:id="@+id/etCount"
            android:layout_width="80dp"
            android:layout_height="wrap_content"
            android:digits="0123456789"
            android:inputType="number"
            android:text="1000" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="间隔(ms):" />

        <EditText
            android:id="@+id/etIntervalMs"
            android:layout_width="80dp"
            android:layout_height="wrap_content"
            android:digits="0123456789"
            android:inputType="number"
            android:text="1000" />


        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="已发送:" />

        <TextView
            android:id="@+id/tvSendCount"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="0" />

    </androidx.appcompat.widget.LinearLayoutCompat>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <Button
            android:id="@+id/btnLoopSend"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="循环发送" />

        <Button
            android:id="@+id/btnStopSend"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="停止发送" />
        <Button
            android:id="@+id/btnResetCount"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="重置已发送" />

    </androidx.appcompat.widget.LinearLayoutCompat>

    <ListView
        android:id="@+id/listview"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="2"
        android:minHeight="100dp"
        android:padding="10dp">

    </ListView>

</androidx.appcompat.widget.LinearLayoutCompat>